Subject: Defective Rug Return
From: "[email-masked]" <[email-masked]>
To: [email-masked]
Date: Wed, 5 Nov 2025 00:30:07 -0600

Hello,
I purchased a Madison Park Splendor Reversible 100% Cotton Tufted Bath Rug from Amazon, order #111-7078551-1864263, on 9/27/29, received on 9/29, and believe it to be defective. The bath rug holds water and never dries. I washed it thinking that it was just the newness of the rug, and it took nearly 4 hours to dry in my drier. 

 I am outside of the return period of Amazon but am requesting of you, the manufacturer, a full refund of $21.49 plus tax because of the defect.  Please let me know if this is agreeable and how I should return the rug back. 

Sincerely,
Shannon Lowry

Sent from my iPhone